> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropoperator.md).

# DROP OPERATOR

### DROP OPERATOR

DROP OPERATOR — remove an operator

### Synopsis

```

DROP OPERATOR [ IF EXISTS ] name ( { left_type | NONE } , right_type ) [, ...] [ CASCADE | RESTRICT ]
```

### Description

`DROP OPERATOR` drops an existing operator from the database system. To execute this command you must be the owner of the operator.

### Parameters

`IF EXISTS` : Do not throw an error if the operator does not exist. A notice is issued in this case.

*`name`* : The name (optionally schema-qualified) of an existing operator.

*`left_type`* : The data type of the operator's left operand; write `NONE` if the operator has no left operand.

*`right_type`* : The data type of the operator's right operand.

`CASCADE` : Automatically drop objects that depend on the operator (such as views using it), and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the operator if any objects depend on it. This is the default.

### Examples

Remove the power operator `a^b` for type `integer`:

```

DROP OPERATOR ^ (integer, integer);
```

Remove the bitwise-complement prefix operator `~b` for type `bit`:

```

DROP OPERATOR ~ (none, bit);
```

Remove multiple operators in one command:

```

DROP OPERATOR ~ (none, bit), ^ (integer, integer);
```

### Compatibility

There is no `DROP OPERATOR` statement in the SQL standard.

### See Also

[CREATE OPERATOR](/reference/sql-commands/sql-createoperator.md), [ALTER OPERATOR](/reference/sql-commands/sql-alteroperator.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropoperator.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropoperator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
